/********************************************************************/
/*  Licensed Materials - Property of IBM                            */
/*                                                                  */
/*                                                                  */
/* Copyright (C) International Business Machines Corp., 1994.       */
/* Copyright (C) Apple Computer, Inc., 1994                         */
/*                                                                  */
/*  US Government Users Restricted Rights -                         */
/*  Use, duplication, or disclosure restricted                      */
/*  by GSA ADP Schedule Contract with IBM Corp.                     */
/*                                                                  */
/********************************************************************/

/* Contains resource ids used by container part */

#ifndef _CNTNRRES_
#define _CNTNRRES_

#ifndef _ODMENUID_
   #include "odmenuid.h"
#endif
#define RESID_TOPMENU 100
#define RESID_EDMENU  101
#define RESID_ROOTMENU  102
#define RESID_SELECTEDMENU  103
#define RESID_WHENSELECTEDMENU  104
#define DL_COLORS 105
#define RESID_BACKGROUNDMENU  106
#define RESID_POPUPMENU_S  107
#define RESID_POPUPMENU_O  108
#define RESID_NOTHINGSELECTEDMENU  109

#define  IDMR_EXPORT               ODMENUID_ROOTPART_FIRST +0
#define  IDMR_CNT_SEPARATOR2       ODMENUID_ROOTPART_FIRST +1
#define  IDMR_PRINT                ODMENUID_ROOTPART_FIRST +2
#define  IDMR_CNT_SEPARATOR1       ODMENUID_ROOTPART_FIRST +3
#define  IDMR_ROOTITEM1            ODMENUID_ROOTPART_FIRST +4
#define  IDMR_ROOTITEM2            ODMENUID_ROOTPART_FIRST +5






#define IDMA_COLOR_BASE ODMENUID_ACTIVEPART_FIRST
#define IDMA_COLOR_GRAY          IDMA_COLOR_BASE+1
#define IDMA_COLOR_RED           IDMA_COLOR_BASE+2
#define IDMA_COLOR_GREEN         IDMA_COLOR_BASE+3
#define IDMA_COLOR_YELLOW        IDMA_COLOR_BASE+4
#define IDMA_COLOR_BLUE          IDMA_COLOR_BASE+5
#define IDMA_COLOR_MAGENTA       IDMA_COLOR_BASE+6
#define IDMA_COLOR_CYAN          IDMA_COLOR_BASE+7
#define IDMA_COLOR_WHITE         IDMA_COLOR_BASE+8

#define IDMA_TOGGLE_GRID     ODMENUID_ACTIVEPART_FIRST + 10

#define IDMA_EMBED_BASE ODMENUID_ACTIVEPART_FIRST + 100


#define  IDMA_UNDO           ODMENUID_ACTIVEPART_FIRST + 201
#define  IDMA_REDO           ODMENUID_ACTIVEPART_FIRST + 202
#define  IDMA_CREATE         ODMENUID_ACTIVEPART_FIRST + 203
#define  IDMA_CUT            ODMENUID_ACTIVEPART_FIRST + 204
#define  IDMA_COPY           ODMENUID_ACTIVEPART_FIRST + 205
#define  IDMA_PASTE          ODMENUID_ACTIVEPART_FIRST + 206
#define  IDMA_PASTEAS        ODMENUID_ACTIVEPART_FIRST + 207
#define  IDMA_BREAKLINK      ODMENUID_ACTIVEPART_FIRST + 208
#define  IDMA_DELETE         ODMENUID_ACTIVEPART_FIRST + 209
#define  IDMA_CNT_SEPARATOR3 ODMENUID_ACTIVEPART_FIRST + 210
#define  IDMA_SELECTALL      ODMENUID_ACTIVEPART_FIRST + 211
#define  IDMA_DESELECTALL    ODMENUID_ACTIVEPART_FIRST + 212
#define  IDMA_CNT_SEPARATOR4 ODMENUID_ACTIVEPART_FIRST + 213
#define  IDMA_CNT_DEMOITEM1  ODMENUID_ACTIVEPART_FIRST + 214
#define  IDMA_CNT_DEMOITEM2  ODMENUID_ACTIVEPART_FIRST + 215
#define  IDMA_CNT_SETTINGS   ODMENUID_ACTIVEPART_FIRST + 216





#define IDMA_NOTHING_SELECTED      ODMENUID_ACTIVEPART_FIRST+299
#define IDMA_FRAME_BASE     ODMENUID_ACTIVEPART_FIRST+300
#define  IDMA_FREEZE           IDMA_FRAME_BASE+1
#define  IDMA_THAW             IDMA_FRAME_BASE+2
#define IDMA_ARRANGE        ODMENUID_ACTIVEPART_FIRST+340
#define  IDMA_MOVETOFRONT      IDMA_ARRANGE +1
#define  IDMA_MOVETOBACK       IDMA_ARRANGE +2
#define  IDMA_MOVEFORWARD      IDMA_ARRANGE +3
#define  IDMA_MOVEBACKWARD     IDMA_ARRANGE +4
#define IDMA_CNT_SEPARATOR5 ODMENUID_ACTIVEPART_FIRST+380
#define IDMA_SEL_OPENAS      ODMENUID_ACTIVEPART_FIRST + 381
#define IDMA_SOA_ICONS         ODMENUID_ACTIVEPART_FIRST + 382 
#define IDMA_SOA_TREE          ODMENUID_ACTIVEPART_FIRST + 383 
#define IDMA_SOA_DETAILS       ODMENUID_ACTIVEPART_FIRST + 384 
#define IDMA_SEL_PROPERTIES  ODMENUID_ACTIVEPART_FIRST + 400 
#define IDMA_SEL_SHOWAS      ODMENUID_ACTIVEPART_FIRST + 401
#define IDMA_SA_LICONS         ODMENUID_ACTIVEPART_FIRST + 402 
#define IDMA_SA_SICONS         ODMENUID_ACTIVEPART_FIRST + 403 
#define IDMA_SA_THUMBNAIL      ODMENUID_ACTIVEPART_FIRST + 404 
#define IDMA_SA_FRAME          ODMENUID_ACTIVEPART_FIRST + 405 
#define IDMA_SAF_TABLE           ODMENUID_ACTIVEPART_FIRST + 420 
#define IDMA_SAF_CHART           ODMENUID_ACTIVEPART_FIRST + 421 
#define IDMA_CNT_SEPARATOR6  ODMENUID_ACTIVEPART_FIRST + 440

#define  IDMA_CNT_SELECTEDREMAP_FIRST ODMENUID_ACTIVEPART_FIRST + 850
#define  IDMA_CNT_SELECTEDREMAP_LAST  ODMENUID_ACTIVEPART_FIRST + 1000




#define IDMSL_PRINT          ODMENUID_USER +40
#define IDMSL_COLOR_BASE     ODMENUID_USER +41

#define IDMP_OPENAS          ODMENUID_USER +81
#define  IDMP_OA_ICONS       ODMENUID_USER +82
#define  IDMP_OA_TREE        ODMENUID_USER +83
#define  IDMP_OA_DETAILS     ODMENUID_USER +84
#define IDMP_PROPERTIES      ODMENUID_USER +120
#define IDMP_SHOWAS          ODMENUID_USER +121
#define  IDMP_SA_LICONS      ODMENUID_USER +122
#define  IDMP_SA_SICONS      ODMENUID_USER +123
#define  IDMP_SA_THUMBNAIL   ODMENUID_USER +124
#define  IDMP_SA_FRAME       ODMENUID_USER +125
#define   IDMP_SAF_TABLE     ODMENUID_USER +140
#define   IDMP_SAF_CHART     ODMENUID_USER +141
#define IDMP_CNT_SEPARATOR7  ODMENUID_USER +160
#define IDMP_CREATE          ODMENUID_USER +161
#define IDMP_CUT             ODMENUID_USER +162
#define IDMP_COPY            ODMENUID_USER +163
#define IDMP_PASTE           ODMENUID_USER +164
#define IDMP_PASTEAS         ODMENUID_USER +165
#define IDMP_BREAKLINK       ODMENUID_USER +166
#define IDMP_DELETE          ODMENUID_USER +167
#define IDMP_CNT_SEPARATOR8  ODMENUID_USER +168

#define IDMP_PRINT           ODMENUID_USER +500 
#define IDMP_COLOR_BASE      ODMENUID_USER +501 
#define IDMP_TOGGLE_GRID     ODMENUID_USER +502
#define  ID_ACCELTABLE     1001

#endif
