/********************************************************************/
/*  Licensed Materials - Property of IBM                            */
/*                                                                  */
/*                                                                  */
/* Copyright (C) International Business Machines Corp., 1994.       */
/* Copyright (C) Apple Computer, Inc., 1994                         */
/*                                                                  */
/*  US Government Users Restricted Rights -                         */
/*  Use, duplication, or disclosure restricted                      */
/*  by GSA ADP Schedule Contract with IBM Corp.                     */
/*                                                                  */
/*  IBM Change History (most recent first):                         */
/*                                                                  */
/********************************************************************/
/*
  File:    ODTypes.hh

  Contains:  Central type-declaration header for OpenDoc, for use with C++ headers

  Written by:  Richard Rodseth, modified by Art Jolin and Mary Streble

  Copyright:   1994 by Apple Computer, Inc., all rights reserved.

  Change History (most recent first):

           4/25/95  mcs/aj Copied from odtypes.h, fixed to refer to .hh's not .xh's
     <3>   6/15/94  jpa    Moved ODTypesF.h before ODTypesM.xh.
     <2>   5/23/94  RR    Include GeoTypes and Polygon

  To Do:

  In Progress:
*/

// C++ version of ODTypes.h. This file is handmade, not generated from IDL

#ifndef _ODTYPES_
#define _ODTYPES_

#ifndef _PLATFORM_OS2_
#define _PLATFORM_OS2_
#endif

#ifndef __OS2DEF__
#include <os2def.h>        //mcs aj: added os2def ???aj: needed, since ODTypesF includes it?
#endif

#ifndef _ODTYPESF_
#include <ODTypesF.h>
#endif

//#ifndef SOM_Module_OpenDoc_Global_Types_defined
#ifndef _DTS_HH_INCLUDED_odtypesm
#include <ODTypesM.hh>                    //ms aj: include hh instead of xh
#endif

//#ifndef SOM_Module_OpenDoc_GeoTypes_defined
#ifndef _DTS_HH_INCLUDED_geotypes
#include <GeoTypes.hh>                   //ms aj: include hh instead of xh
#endif

//#ifndef SOM_Module_OpenDoc_Polygon_defined
#ifndef _DTS_HH_INCLUDED_polygon
#include <Polygon.hh>                   //ms aj: include hh instead of xh
#endif

#endif // _ODTYPES_
