/* NOSHIP */
#ifndef _OFORMVPRV_
  #define _OFORMVPR_
/*******************************************************************************
* FILE NAME: oformvpr.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the class(es):                                              *
*     ODFFormViewPrivateData - This class encapsulates private data and functions*
*                        used by the ODFFormView class.  An object of this class *
*                        is created in the ODFFormView constructors.           *
* COPYRIGHT:                                                                   *
*   Licensed Materials - Property of IBM                                       *
*   (C) Copyright IBM Corporation 1992, 1994                                   *
*   All Rights Reserved                                                        *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/

/*----------------------------------------------------------------------------*/
/* Align classes on four byte boundary.                                       */
/*----------------------------------------------------------------------------*/
#pragma pack(4)

#include <oformv.hpp>

class ODFFormViewPrivateData : public IBase {
public:
  ODFFormViewPrivateData()
 { };

  ODFFormViewPrivateData (const ODFFormViewPrivateData&);
  ODFFormViewPrivateData& operator= (const ODFFormViewPrivateData&);
  ODFFormView::UpdateMode fUpdateMode;   //AJadd: immediate, onFocusChg, noAutoUpdate
};    // ODFFormViewPrivateData

/*----------------------------------------------------------------------------*/
/* Resume compiler default packing and warning messages.                      */
/*----------------------------------------------------------------------------*/
#pragma pack()
#pragma info(restore)

#endif /* _OFORMVPR_ */
